<script setup lang="ts">
import { usePosStore } from '../stores/pos'

const pos = usePosStore()
</script>
<template>
  <v-container class="text-body-2" fluid>
    <v-row no-gutters>
      <v-col cols="6">จำนวน :</v-col><v-col cols="4">{{ pos.tempReceipt.totalUnit }}</v-col
      ><v-col>รายการ</v-col> <v-col cols="6">ยอดรวม :</v-col
      ><v-col cols="4">{{ pos.tempReceipt.totalBefore }}</v-col
      ><v-col>บาท</v-col>
      <v-col cols="12">โปรโมชัน : {{ pos.selectedPromotion?.name }}</v-col>
      <v-col cols="6">ส่วนลด :</v-col><v-col cols="4">{{ pos.tempReceipt.discount }}</v-col
      ><v-col>บาท</v-col>
    </v-row>
    <v-row>
      <v-col cols="5"> <p style="font-size: larger">รวมสุทธิ :</p> </v-col
      ><v-col cols="4">
        <p style="font-size: x-large">{{ pos.tempReceipt.netPrice }}</p> </v-col
      ><v-col>บาท</v-col>
    </v-row>
  </v-container>
</template>
<style scoped>
.v-col {
  font-family: kanit;
}
</style>
